<?php
$styles = [];
foreach(range(1, 28) as $val) {
    $styles[$val] = sprintf(esc_html__('Style %s', 'alquran'), $val);
}

return  array(
    'title'      => esc_html__( 'General Setting', 'alquran' ),
    'id'         => 'general_setting',
    'desc'       => '',
    'icon'       => 'el el-wrench',
    'fields'     => array(
         array(
            'id' => 'theme_preloader',
            'type' => 'switch',
            'title' => esc_html__('Enable Preloader', 'alquran'),
            'default' => false,
        ),
		array(
            'id' => 'theme_cursor',
            'type' => 'switch',
            'title' => esc_html__('Enable Cursor', 'alquran'),
            'default' => false,
        ),
		array(
            'id' => 'show_scroll_top_btn',
            'type' => 'switch',
            'title' => esc_html__('ON/OFF Scroll To Top Arrow', 'alquran'),
            'default' => false,
        ),
    ),
);
