<?php
/**
 * Search Form template
 *
 * @package ALQURAN
 * @author TheMazine
 * @version 1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Restricted' );
}
?>

<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <div class="form-group">
        <input type="search" name="s" value="<?php echo get_search_query(); ?>" placeholder="<?php echo esc_attr__( 'Search Here', 'alquran' ); ?>" required="">
        <button class="fa fa-solid fa-magnifying-glass fa-fw" type="submit"></button>
    </div>
</form>